require "stats_ils.rb"

def float_regexp()
	return '[+-]?\d+(?:\.\d+)?(?:[eE][+-]\d+)?'; 
end

filename = ARGV[0]
outfilename = filename.sub(/\.txt/,"") + "-medians.csv"

file = File.open(filename)
out = File.open(outfilename, "w")

runlengths_for_noise_feats_string = Hash.new
count = 0

#=== Header
line =file.gets
out.puts line.chomp.split.join(", ") + ", RUNS, MEDIAN_RUNLENGTH"

while line = file.gets
	line_as_array = line.split
	runlength = line_as_array[line_as_array.length-1]
	line.sub!(/#{float_regexp}$/,"")
	runlengths_for_noise_feats_string[line] = [] unless runlengths_for_noise_feats_string.key?(line)
	runlengths_for_noise_feats_string[line] << runlength.to_f
	count += 1
	puts count if count.divmod(100)[1] == 0
#	break if count > 1000
end

for key in runlengths_for_noise_feats_string.keys
	runlengths = runlengths_for_noise_feats_string[key]
	puts runlengths.length
	out.puts "#{key.chomp.split.join(", ")}, #{runlengths.length}, #{runlengths.median}" 
end
out.flush
out.close